# Class JsParameters

java.lang.Object
jspecview.common.Parameters
jspecview.common.ColorParameters
jspecview.js2d.JsParameters

public class JsParameters extends ColorParameters

## Field Summary

### Fields inherited from class ColorParameters

`BLACK, BLUE, DARK_GRAY, defaultPlotColorNames, defaultPlotColors, displayFontName, elementColors, isDefault, LIGHT_GRAY, plotColors, RED, titleFontName, WHITE`

### Fields inherited from class Parameters

`htBooleans, integralDrawAll, integralMinY, integralOffset, integralRange, name, peakListInterpolation, peakListThreshold, precision, viewOffset`

## Constructor Summary

Constructors
Constructor
Description
`JsParameters()`

## Method Summary

Modifier and Type
Method
Description
`ColorParameters`
`copy(String newName)`
Returns a copy of this `DisplayScheme` with a new name
`GenericColor`
`getColor1(int rgb)`
`protected GenericColor`
`getColor3(int r, int g, int b)`
`protected boolean`
`isValidFontName(String name)`

### Methods inherited from class ColorParameters

`copy, getColorFromString, getElementColor, getFontName, getPlotColors, set, setColor, setColorFromString, setElementColors, setFor`

### Methods inherited from class Parameters

`getBoolean, getBooleans, getTFToggle, isMatch, isTrue, putInfo, setBoolean, setName, setP`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JsParameters

public JsParameters()

## Method Details

### isValidFontName

protected boolean isValidFontName(String name)

Specified by:
  `isValidFontName` in class `ColorParameters`

### getColor1

public GenericColor getColor1(int rgb)

Specified by:
  `getColor1` in class `ColorParameters`

### getColor3

protected GenericColor getColor3(int r, int g, int b)

Specified by:
  `getColor3` in class `ColorParameters`

### copy

public ColorParameters copy(String newName)
Description copied from class: `ColorParameters`
Returns a copy of this `DisplayScheme` with a new name

Specified by:
  `copy` in class `ColorParameters`
Parameters:
  `newName` - the new name
Returns:
  a copy of this `DisplayScheme` with a new name